<?php
use Smartcat\Includes\Plugin\SmartcatPluginMultilingual as i18n;
use Smartcat\Includes\Services\Plugin\SmartcatOptions;
?>

<form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
    <input
        type="hidden"
        name="action"
        value="smartcat_logout"
    >
    <input
        type="hidden"
        name="smartcat_update_options_nonce"
        value="<?php echo wp_create_nonce('smartcat_update_options_form_nonce') ?>"
    >
    <table class="form-table" role="presentation">
        <tr>
            <th scope="row">
                <label for="api-secret">
                    <?php i18n::e('Account ID'); ?>
                </label>
            </th>
            <td>
                <?php echo get_option('smartcat_account_id') ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="api-secret">
                    <?php i18n::e('Api Key'); ?>
                </label>
            </th>
            <td>
                <?php echo SmartcatOptions::maskApiSecret(); ?>
            </td>
        </tr>
    </table>
    <p class="submit">
        <input
            type="submit"
            name="submit"
            id="submit"
            class="button button-secondary"
            value="<?php i18n::e('Log out'); ?>"
        >
    </p>
</form>
