<?php
use Smartcat\Includes\Plugin\SmartcatPluginMultilingual as i18n;
use Smartcat\Includes\Services\Plugin\SmartcatOptions;
?>

<form action="<?php echo esc_url(admin_url('admin-post.php')); ?>" method="post">
    <input
        type="hidden"
        name="action"
        value="smartcat_update_options"
    >
    <input
        type="hidden"
        name="smartcat_update_options_nonce"
        value="<?php echo wp_create_nonce('smartcat_update_options_form_nonce') ?>"
    >
    <table class="form-table" role="presentation">
        <tr>
            <th scope="row">
                <label for="api-secret"><?php i18n::e('Secret key'); ?></label>
            </th>
            <td>
                <input
                    type="text"
                    id="api-secret"
                    value="<?php echo esc_attr(SmartcatOptions::maskSecret()) ?>"
                    class="regular-text"
                    placeholder="**************************"
                    readonly
                >
                <input
                    type="hidden"
                    name="secret"
                    id="api-secret-full"
                    value="<?php echo esc_attr(SmartcatOptions::secret()) ?>"
                >
                <a href="#" id="generate" onclick="event.preventDefault();" style="text-decoration: none " title="<?php i18n::e('Generate'); ?>">
                    <span class="dashicons dashicons-admin-network"></span>
                </a>
                <a href="#" id="copy-smartcat-secret" onclick="event.preventDefault();" style="text-decoration: none">
                    <span class="dashicons dashicons-admin-page"></span>
                </a>
                <p class="description" id="tagline-description"><?php i18n::e('This is necessary to protect against external access.'); ?></p>
            </td>
        </tr>
    </table>
    <div class="smartcat-button-group">
        <p class="submit" style="margin-right: 10px;">
            <input
                    type="submit"
                    name="submit"
                    id="submit"
                    class="button button-primary"
                    value="<?php i18n::e('Save'); ?>"
            >
        </p>
    </div>
</form>