<?php

namespace Smartcat\Includes\Controllers;

use Smartcat\Includes\Requests\MetadataListRequest;
use Smartcat\Includes\Services\Metadata\SmartcatMetadataList;
use Smartcat\Includes\Services\Metadata\SmartcatMetadataDatabase;
use Smartcat\Includes\Services\Posts\SmartcatPostsDatabase;
use WP_REST_Request;

class SmartcatMetadataController extends Controller
{
    /**
     * @var SmartcatMetadataList
     */
    private $listService;

    public function __construct()
    {
        $this->listService = new SmartcatMetadataList(
            new SmartcatPostsDatabase(),
            new SmartcatMetadataDatabase()
        );
    }

    public function list(WP_REST_Request $request): array
    {
        return $this->listService->getMetadataFields(new MetadataListRequest($request));
    }
}