<?php

namespace Smartcat\Includes\Services\Categories;

use Smartcat\Includes\Requests\PullCategoriesRequest;
use Smartcat\Includes\Services\Interfaces\SmartcatCategoriesDatabaseInterface;
use Smartcat\Includes\Services\Interfaces\SmartcatWpmlInterface;

class SmartcatCategoriesPull
{
    /**
     * @var SmartcatWpmlInterface
     */
    private $wpmlService;

    /**
     * @var SmartcatCategoriesDatabaseInterface
     */
    private $databaseService;

    public function __construct(
        SmartcatWpmlInterface               $wpmlService,
        SmartcatCategoriesDatabaseInterface $databaseService
    )
    {
        $this->wpmlService = $wpmlService;
        $this->databaseService = $databaseService;
    }

    public function getCategories(PullCategoriesRequest $request): array
    {
        return $this->databaseService->getCategoriesByLang($request->getLang());
    }
}