<?php

use Smartcat\Includes\Services\Posts\SmartcatPostType;
use Smartcat\Includes\Services\Smartcat\SmartcatSmartcatHubClient;
use Smartcat\Includes\Services\Tools\LocaleMapper;
use Smartcat\Includes\Services\Tools\SmartcatLogger;
use Smartcat\Includes\Services\TranslationRequest\SmartcatDocumentsManager;
use Smartcat\Includes\Services\SmartcatWpml;
use Smartcat\Includes\Services\Smartcat\SmartcatClient;
use Smartcat\Includes\Services\WPBakery\Builder;

function smartcat_wpml(): SmartcatWpml
{
    return new SmartcatWpml();
}

function smartcat_api(): SmartcatClient
{
    return new SmartcatClient();
}

function smartcat_hub_client()
{
    return new SmartcatSmartcatHubClient();
}

function smartcat_dm(): SmartcatDocumentsManager
{
    return new SmartcatDocumentsManager();
}

function smartcat_post_type()
{
    return new SmartcatPostType();
}

function smartcat_logger()
{
    return new SmartcatLogger();
}

function is_elementor_installed(): bool
{
    return is_plugin_active('elementor/elementor.php');
}

function sc_str_contains($haystack, $needle)
{
    return ('' === $needle || false !== strpos($haystack, $needle));
}

function smartcat_check_json_from_param($param): bool
{
    if (isset($_GET[$param])) {
        $data = json_decode($_GET[$param]);
        if (json_last_error() === JSON_ERROR_NONE) {
            if (empty($data) || !is_array($data)) {
                return false;
            }
            return true;
        } else {
            return false;
        }
    }
    return false;
}

function sc_locale(): LocaleMapper
{
    return new LocaleMapper();
}

function sc_bakery_builder(): Builder
{
    return new Builder();
}

function sc_built_with_bakery($postID): bool
{
    return Builder::isUsedBuilder($postID);
}
