<?php

namespace Smartcat\Includes\Controllers;

use Smartcat\Includes\Requests\PullCategoriesRequest;
use Smartcat\Includes\Requests\PushCategoriesRequest;
use Smartcat\Includes\Services\Categories\SmartcatSmartcatCategoriesDatabase;
use Smartcat\Includes\Services\Categories\SmartcatCategoriesPull;
use Smartcat\Includes\Services\Categories\SmartcatCategoriesPush;
use Smartcat\Includes\Services\SmartcatWpml;
use WP_REST_Request;

class SmartcatCategoriesController
{
    /**
     * @var SmartcatCategoriesPull
     */
    private $pullService;

    private $pushService;

    public function __construct()
    {
        $this->pullService = new SmartcatCategoriesPull(
            new SmartcatWpml(),
            new SmartcatSmartcatCategoriesDatabase()
        );
        $this->pushService = new SmartcatCategoriesPush(
            new SmartcatWpml(),
            new SmartcatSmartcatCategoriesDatabase()
        );
    }

    public function pull(WP_REST_Request $request): array
    {
        return $this->pullService->getCategories(new PullCategoriesRequest($request));
    }

    public function push(WP_REST_Request $request)
    {
        $this->pushService->push(new PushCategoriesRequest($request));
        return [];
    }
}