<?php

use Smartcat\Includes\Services\Plugin\SmartcatRouter;
use Smartcat\Includes\Controllers\SmartcatPostsController;
use Smartcat\Includes\Controllers\SmartcatCategoriesController;
use Smartcat\Includes\Controllers\SmartcatWpmlController;
use Smartcat\Includes\Controllers\SmartcatPluginController;
use Smartcat\Includes\Controllers\SmartcatMetadataController;
use Smartcat\Includes\Controllers\SmartcatCallbackController;
use Smartcat\Includes\Controllers\StringController;

$router = new SmartcatRouter();

// Posts
$router->route('POST', 'posts/pull', SmartcatPostsController::class, 'pull'); // FIXME: хочу быть GET
$router->route('POST', 'posts/push', SmartcatPostsController::class, 'push');
$router->route('POST', 'posts/import', SmartcatPostsController::class, 'import');
$router->route('POST', 'posts/all', SmartcatPostsController::class, 'all');
$router->route('POST', 'posts/verify', SmartcatPostsController::class, 'originalPostsForVerify');
$router->route('GET', 'posts/locale-trid', SmartcatPostsController::class, 'withLocaleTrid');
$router->route('GET', 'posts/types', SmartcatPostsController::class, 'translatableTypes');

// Categories
$router->route('POST', 'categories/pull', SmartcatCategoriesController::class, 'pull');
$router->route('POST', 'categories/push', SmartcatCategoriesController::class, 'push');

// Metadata
$router->route('GET', 'metadata/list', SmartcatMetadataController::class, 'list');

// WPML
$router->route('POST', 'wpml/locales', SmartcatWpmlController::class, 'locales');

// Strings

$router->route('GET', 'domains', StringController::class, 'domains');
$router->route('GET', 'strings', StringController::class, 'export');

/**
 * @deprecated
 */
$router->route('GET', 'wpml/strings', SmartcatWpmlController::class, 'strings');
$router->route('POST', 'wpml/strings', SmartcatWpmlController::class, 'pushStrings');

//Plugin
$router->route('POST', 'plugin/status', SmartcatPluginController::class, 'status');
$router->route('POST', 'plugin/shell', SmartcatPluginController::class, 'shell');
$router->route('GET', 'plugin/logs', SmartcatPluginController::class, 'logs');

// Callbacks
$router->route('POST', 'callback/credentials', SmartcatCallbackController::class, 'credentials');

